@if (!confirmed && onboardingSigned) {
    <p data-test="onboarding-status">The Terms and Conditions contract is not yet signed by all participants.</p>
}
@if (confirmed && onboardingSigned) {
    <p data-test="onboarding-status">The Terms and Conditions contract is signed by all participants.</p>
}

@if (participants.length !== 0) {
    @for (participant of participants; track participant; let i = $index) {
        <div
            class="container d-flex flex-column fst-italic"
            [ngClass]="{ 'bg-light': (i + 1) % 2 !== 0, 'bg-white': (i + 1) % 2 === 0 }"
            data-test="participant-list"
        >
            <!-- Participant name and status -->
            <div
                [ngClass]="
                    'row border-right d-flex align-items-center ps-2 pe-3 border-' + (participant.status === 'completed' ? 'success' : 'warning')
                "
                [style]="{ 'min-height': '50px' }"
            >
                <!-- Participant name and role -->
                <div class="col">
                    <span>{{ participant.firstName }} {{ participant.lastName }}</span>
                </div>
                <div class="col">
                    <span>{{ participant.role }}</span>
                </div>
                <!-- Participant status -->
                <div class="col-auto">
                    <span
                        class="ms-1"
                        [ngClass]="{ 'text-success': participant.status === 'completed', 'text-warning': participant.status !== 'completed' }"
                    >
                        {{ participant.status === "completed" ? "Signed" : "Pending" }}
                    </span>
                </div>
            </div>
        </div>
    }
}
